/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package sync4j.syncclient.test;

import java.util.Properties;

import sync4j.syncclient.spdm.SimpleDeviceManager;
import sync4j.syncclient.spds.*;
import sync4j.syncclient.spds.engine.*;

/**
 *
 * @author  Stefano Fornari
 *
 * @version $Id: Test.java,v 1.2.2.1 2005/01/27 11:00:57 fabius Exp $
 */
public class Test {

    public static void main(String[] args) throws Exception {
        //
        // For JDK 1.1.8 compatibility we cannot use System.setPropery()...
        //
        //System.setProperty(SimpleDeviceManager.PROP_DM_DIR_BASE, "config");
        Properties props = System.getProperties();
        props.put(SimpleDeviceManager.PROP_DM_DIR_BASE, "config");
        System.setProperties(props);

        SyncManager syncManager = SyncManager.getSyncManager(".");

        syncManager.sync();

    }

}